summaryrefslogtreecommitdiffstats
path: root/.github
diff options
context:
space:
mode:
authorfvogel <fvogelnew1@free.fr>2021-05-24 15:14:10 (GMT)
committerfvogel <fvogelnew1@free.fr>2021-05-24 15:14:10 (GMT)
commit94f67ff35e720eb9ff86fe0393b9c3a1f7fa6ffe (patch)
tree7a1d5a848acda3a17a5dc09e45fb65d37f716ca5 /.github
parenta1e091774dbb0a3221b1f804bc5d1affadac99e1 (diff)
downloadtk-94f67ff35e720eb9ff86fe0393b9c3a1f7fa6ffe.zip
tk-94f67ff35e720eb9ff86fe0393b9c3a1f7fa6ffe.tar.gz
tk-94f67ff35e720eb9ff86fe0393b9c3a1f7fa6ffe.tar.bz2
Revert the logic of grepping in the output file because we need an exit code of 0 for grep. As a consequence we need to grep separately in each (classic and ttk) output file. Finally restore proper killing of xvfb.
Diffstat (limited to '.github')
-rw-r--r--.github/workflows/mac-build.yml17
1 files changed, 13 insertions, 4 deletions
diff --git a/.github/workflows/mac-build.yml b/.github/workflows/mac-build.yml
index 3278e10..6c8a546 100644
--- a/.github/workflows/mac-build.yml
+++ b/.github/workflows/mac-build.yml
@@ -118,6 +118,7 @@ jobs:
Xvfb $1 &
XVFB_PID=$!
echo Launched Xvfb $1 as process $XVFB_PID >&2
+ trap "echo killing process $XVFB_PID... >&2; kill $XVFB_PID" 0
export DISPLAY=$1
sleep 2
}
@@ -126,12 +127,20 @@ jobs:
echo Xvfb not used, this is a --enable-aqua build
}
fi
- ( runXvfb :0; make test-classic test-ttk; exit $? ) | tee out.txt || {
- echo "::error::Failure during Test"
+ ( runXvfb :0; make test-classic; exit $? ) | tee out-classic.txt || {
+ echo "::error::Failure during Test (classic)"
exit 1
}
- cat out.txt | grep -q "Failed [1-9]" && {
- echo "::error::Failure in test results"
+ ( runXvfb :0; make test-ttk; exit $? ) | tee out-ttk.txt || {
+ echo "::error::Failure during Test (ttk)"
+ exit 1
+ }
+ cat out-classic.txt | grep -q "Failed 0" || {
+ echo "::error::Failure in classic test results"
+ exit 1
+ }
+ cat out-ttk.txt | grep -q "Failed 0" || {
+ echo "::error::Failure in ttk test results"
exit 1
}
- name: Carry out trial installation